Package: groovy.lang

## [Java] Class ReadOnlyPropertyException

- groovy.lang.ReadOnlyPropertyException

- This exception is thrown if an attempt is made to set a read only property

  Authors:
    James Strachan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MissingPropertyException` | `MPE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReadOnlyPropertyException (String property, Class type)`
    `ReadOnlyPropertyException (String property, String classname)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MissingPropertyException` | `getMessageWithoutLocationText, getProperty, getType`
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReadOnlyPropertyException(String property, Class type)

    - #### public ReadOnlyPropertyException(String property, String classname)